Bug 2897 - passdb/pdb_nds.c: type for pwd_len
passdb/pdb_nds.c: type for pwd_len
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.20
SGI IRIX
: P3 normal
: none
Assigned To: James Peach (outdated mail address)
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-19 04:19 UTC by Jason Mader
Modified: 2005-09-07 04:07 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader 2005-07-19 04:19:58 UTC
cc-1164 cc: WARNING File = passdb/pdb_nds.c, Line = 672
  Argument of type "int *" is incompatible with parameter of type "size_t *".

        rc = nmasldap_get_password(ld, object_dn, pwd_len, pwd);
                                                  ^

cc-1164 cc: WARNING File = passdb/pdb_nds.c, Line = 798
  Argument of type "size_t *" is incompatible with parameter of type "int *".

                        if (pdb_nds_get_password(ldap_state->smbldap_state, dn, &pwd_len, clear_text_pw) 
== LDAP_SUCCESS) {
                                                                                ^
Comment 1 James Peach (outdated mail address) 2005-07-30 22:46:00 UTC
Reassign IRIX bugs to me.
Comment 2 Gerald (Jerry) Carter 2005-09-07 04:07:09 UTC
already fixed in SAMBA_3_0